Skip to main content
GET
/
companies
/
agents
List initialized company agents
curl --request GET \
  --url https://app.hockeystack.com/api/revenue-agents/v1/companies/agents \
  --header 'Authorization: Bearer <token>'
{
  "agents": [
    {
      "company_id": "<string>",
      "agent_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_synced_at": "2023-11-07T05:31:56Z",
      "job_id": "<string>",
      "progress_stream_url": "<string>",
      "failed_at": "2023-11-07T05:31:56Z",
      "error": "<string>",
      "retry_with": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string
limit
integer
default:50
Required range: 1 <= x <= 200

Response

Page of agents.

agents
object[]
required
next_cursor
string | null
required